Bug 149521 - Compilation error 2 in drivers/net/dl2k.c
Summary: Compilation error 2 in drivers/net/dl2k.c
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc   
(Show other bugs)
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-23 19:29 UTC by Robert McBroom
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-16 11:26:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console log (1.64 KB, text/plain)
2005-02-23 19:29 UTC, Robert McBroom
no flags Details

Description Robert McBroom 2005-02-23 19:29:04 UTC
Description of problem:Compilation error 2 in drivers/net/dl2k.c
  CC [M]  drivers/net/dl2k.o
In file included from include/linux/rwsem.h:27,
                 from include/asm/semaphore.h:42,
                 from include/linux/sched.h:18,
                 from include/linux/module.h:10,
                 from drivers/net/dl2k.h:16,
                 from drivers/net/dl2k.c:55:
include/asm/rwsem.h: In function `init_rwsem':
include/asm/rwsem.h:86: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.

kernel-2.6.10/linux-2.6.10


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.make modules
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Robert McBroom 2005-02-23 19:29:04 UTC
Created attachment 111343 [details]
console log

Comment 2 Dave Jones 2005-02-23 19:37:15 UTC
compiler segfaulted.

Comment 3 Jakub Jelinek 2005-02-23 21:27:09 UTC
Is that reproduceable?  If yes, please attach preprocessed source for it.
If not, you have probably hardware issues.

Comment 4 Jakub Jelinek 2005-03-16 11:26:17 UTC
Without a reproduceable testcase there is nothing we can do about it.


Note You need to log in before you can comment on or make changes to this bug.